Update details of the deceased on a case.

Sample request:

PUT /cases/979989d9-s0m3-4253-9u1d-9f94adb00493/deceased
{
"title": "Mx",
"firstName": "Peter",
"lastName": "Reid",
"middleName": null,
"otherNames": ["Pete"],
"maidenName": null,
"dateOfBirth": "1961-02-21T00:00:00Z",
"niNumber": "QQ 123456 C",
"occupation": "Software Architect",
"address": {
"postcode": "AB1 2BA",
"streetName": "Example Street",
"buildingNumber": "8",
"buildingNameOfFlatNumber": null,
"city": "Example City"
},
"willDetails": {
"hasWill": false,
"willDate": null,
"originalWillLocation": null
},
"dateOfDeath": "2021-09-06T00:00:00Z",
"placeOfDeath": "Example City",
"domicile" : "GB-SCT",
"hasDeathCertificate": true,
"ihtReferenceNumber": null,
"uniqueTaxpayerReference": null,
"hasSurvivingSpouseOrCivilPartner": false,
"maritalStatus": 0,
"maritalStatusDate": null,
"notes": "Some notes about the deceased"
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
Body Params
string | null
required
string
required
length between 0 and 100
string
required
length between 0 and 100
string | null
required
otherNames
array of strings | null
required

Up to 20

otherNames*
string | null
required
string | null
required

must be a past date The value must be less than or equal to today.

string | null
required
^([abceghj-prstw-zABCEGHJ-PRSTW-Z]{2}[0-9]{2}[0-9]{2}[0-9]{2}[a-dfmA-DFM]{1,1})|([abceghj-prstw-zABCEGHJ-PRSTW-Z]{2} ?[0-9]{2} [0-9]{2} [0-9]{2} [a-dfmA-DFM]{1,1})$
string | null
required
address
object
required
willDetails
object
required
string | null
required

must be a past date The value must be less than or equal to today.

string | null
required
string | null
required

**must be a valid ISO-31661 country code with the exception of GB which must be further specified as GB-SCT, GB-EAW or GB-NI

enum
required
string | null
required
boolean | null
required
string | null
required
string | null
required
boolean | null
required
enum
required
string | null
required

must be a past date The value must be less than or equal to today.

string | null
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses
200

OK

Language
Credentials
OAuth2
Required Scopes
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json